--- old/usr/src/cmd/flowstat/flowstat.c	Wed Feb  6 15:51:11 2019
+++ new/usr/src/cmd/flowstat/flowstat.c	Wed Feb  6 15:51:11 2019
@@ -27,6 +27,10 @@
  * Copyright 2017 Joyent, Inc.
  */
 
+/*
+ * Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
+ */
+
 #include <stdio.h>
 #include <locale.h>
 #include <stdarg.h>
@@ -426,7 +430,7 @@
 	prev_stat = flow_node->fc_stat;
 
 	/* Query library for current stats */
-	curr_stat = dladm_flow_stat_query(flowname);
+	curr_stat = dladm_flow_stat_query(handle, flowname);
 	if (curr_stat == NULL)
 		goto done;
 
@@ -491,7 +495,7 @@
 	char	*flowname = attr->fa_flowname;
 	void	*stat;
 
-	stat = dladm_flow_stat_query_all(flowname);
+	stat = dladm_flow_stat_query_all(handle, flowname);
 	if (stat == NULL)
 		goto done;
 	print_all_stats(stat);
